"""Export fast-api shortcuts."""


from fastapi import (
    # classes
    APIRouter as Router,
    FastAPI as API,
    BackgroundTasks,
    HTTPException,
    Response,
    Request,
    UploadFile,
    WebSocket,
    WebSocketDisconnect,

    # deps
    Depends,
    Cookie,
    Body,
    Header,
    Query,
    Path,
    File,
    Form,
    Security,

    # modules
    utils,
    websockets,
    types,
    status,
    logger,
    params,
    exceptions,
    exception_handlers,
    responses,
    testclient,
    applications,
    background,
    concurrency,
    datastructures,
    encoders,
    param_functions,
    requests,
    routing,
    staticfiles,
    templating,
)


__all__ = (
    'Router',
    'API',
    'BackgroundTasks',
    'HTTPException',
    'Response',
    'Request',
    'UploadFile',
    'WebSocket',
    'WebSocketDisconnect',

    'Depends',
    'Cookie',
    'Body',
    'Header',
    'Query',
    'Path',
    'File',
    'Form',
    'Security',

    'utils',
    'websockets',
    'types',
    'status',
    'logger',
    'params',
    'exceptions',
    'exception_handlers',
    'responses',
    'testclient',
    'applications',
    'background',
    'concurrency',
    'datastructures',
    'encoders',
    'param_functions',
    'requests',
    'routing',
    'staticfiles',
    'templating',
)