"""i18n bases."""
from typing import Literal

from babel.support import Translations

from .fn import locales, new_log

Lang = Literal[locales]  # noqa

static_translates = dict().fromkeys(locales, {})

for locale in locales:
    static_translates[locale] = Translations.load('i18n', [locale])


def try_locale(check_locale: str, fault_default: str) -> str:
    """Valid locale."""
    if not check_locale:
        return fault_default
    elif check_locale in locales:
        return check_locale
    return fault_default


log = new_log(__name__)
